unit LoginService;

interface

uses
  Aurelius.Mapping.Attributes,
  XData.Server.Module,
  XData.Service.Common;

type
  [ServiceContract]
  [Model('Login')]
//  [Route('loginservice')]
  ILoginService = interface(IInvokable)
  ['{9CFD59B2-A832-4F82-82BB-9A25FC93F305}']
   [HttpGet] function Login(const User, Password: string): string;
  end;

implementation

// Tady chyběla celá tato sekce!
initialization
  RegisterServiceType(TypeInfo(ILoginService));
end.
